Sympa::Aliases::CheckSMTP(3Sympa)

NAME
Sympa::Aliases::CheckSMTP - Alias management: Check addresses using SMTP

SYNOPSIS
  use Sympa::Aliases;
  my $aliases = Sympa::Aliases->new('CheckSMTP');
  $aliases->check('listname', 'domain');

DESCRIPTION
TBD.

  Methods

check ($listname, $robot_id)
    Instance method. Checks if the requested list exists already using SMTP 'RCPT TO'.

    Parameters:

    $listname
        Name of the list.

    $robot_id
        List's robot.

    Returns:

    Instance of Net::SMTP class or false value.

  Configuration parameters
Following parameters in sympa.conf or robot.conf are referred by this module.

list_check_helo
    SMTP HELO (EHLO) parameter used for address verification. Default value is the host part of "list_check_smtp" parameter.

list_check_smtp
    SMTP server to verify existence of the same addresses as the list.

list_check_suffixes
    List of suffixes used for list addresses.

SEE ALSO
Sympa::Aliases.

HISTORY
The feature which allows Sympa to check listname on SMTP server before list creation, contributed by Sergiy Zhuk, appeared on Sympa 3.3.

"list_check_helo" parameter was added by S. Ikeda on Sympa 6.1.5.

Sympa::Aliases::CheckSMTP as a separate module appeared on Sympa 6.2.23b.